注意:在未来的几个月内,我们将会重新整理 App Engine 文档网站,使得查找内容更轻松,并更好地与其他 Google Cloud 产品保持一致。将会提供相同的内容,但导航现在将与其余的 Cloud 产品相一致。

PHP 8.1 现已正式发布。

旧版捆绑服务概览

使用集合让一切井井有条 根据您的偏好保存内容并对其进行分类。

过去,App Engine 标准环境为应用开发提供了多个可扩缩的专有服务。这些服务与第一代运行时(也称为 App Engine 旧版运行时)捆绑,包括 Python 2Java 8Go 1.11PHP 5.5。由于其中一些旧版运行时不再由各自开源社区维护,因此作为 App Engine 开发者,您可能会面临艰难的抉择:投入时间和精力迁移到新运行时,还是继续在旧版运行时中运行应用,同时面临不断增加的成本。

为应对这一挑战,Google Cloud 致力于提供渐进式的新运行时迁移路径。为了降低运行时迁移的复杂性,Google Cloud 目前在第二代运行时上支持一组 App Engine 旧版捆绑服务及其关联 API,这些运行时包括 Python 3Java 11Go 1.12+ 以及 PHP 7+。您的应用可以通过语言惯用的库为第二代运行时调用旧版捆绑服务 API。

在第一代和第二代运行时中访问 App Engine 捆绑服务
图 1.应用访问 App Engine 旧版捆绑服务的方式

在运行时迁移场景中,您通常也可以选择使用提供与旧版捆绑服务类似功能的 Google Cloud 产品。对于在 Google Cloud 中未作为单独产品提供的旧版捆绑服务(例如图片处理、搜索和消息传递),您可以使用运行时指南中推荐的第三方提供商或其他解决方法。

如需详细了解这些应用迁移选项,请参阅从旧版捆绑服务迁出。如果需要在迁移到第二代运行时期间访问 App Engine 旧版捆绑服务,请参阅访问 PHP 7 版旧版捆绑服务